Skip to main content
GET
/
v1
/
inboxes
/
{id}
/
messages
List messages
curl --request GET \
  --url https://api.openmail.sh/v1/inboxes/{id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "threadId": "<string>",
      "direction": "inbound",
      "fromAddr": "<string>",
      "toAddr": "<string>",
      "subject": "<string>",
      "bodyText": "<string>",
      "bodyHtml": "<string>",
      "attachments": [
        {
          "filename": "<string>",
          "contentType": "<string>",
          "sizeBytes": 123,
          "url": "<string>"
        }
      ],
      "status": "pending",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

limit
integer
default:50
Required range: x <= 100
offset
integer
default:0
direction
enum<string>
Available options:
inbound,
outbound

Response

200 - application/json

List of messages

data
object[]
total
integer